Commits

Virgil Dupras committed 9e56d53

In Debian packaging, depend on "python3-pyqt4", stop packaging PyQt binaries and change the architecture from "any" to "all".

  • Participants
  • Parent commits 40b49ce

Comments (0)

Files changed (2)

File debian/control

 Homepage: http://www.hardcoded.net
 
 Package: pdfmasher
-Architecture: any
-Depends: python3 (>= 3.2), libqtgui4, python3-lxml
+Architecture: all
+Depends: python3 (>= 3.2), python3-pyqt4, python3-lxml
 Description: PdfMasher
     os.makedirs(srcpath)
     shutil.copy('run.py', op.join(srcpath, 'run.py'))
     copy_packages(['qt', 'ebooks', 'hscommon', 'core', 'qtlib', 'pdfminer', 'ply', 'jobprogress', 'markdown', 'cssutils', 'encutils'], srcpath)
-    import sip, PyQt4
-    shutil.copy(sip.__file__, srcpath)
-    qtsrcpath = op.dirname(PyQt4.__file__)
-    qtdestpath = op.join(srcpath, 'PyQt4')
-    os.makedirs(qtdestpath)
-    shutil.copy(op.join(qtsrcpath, '__init__.py'), qtdestpath)
-    shutil.copy(op.join(qtsrcpath, 'Qt.so'), qtdestpath)
-    shutil.copy(op.join(qtsrcpath, 'QtCore.so'), qtdestpath)
-    shutil.copy(op.join(qtsrcpath, 'QtGui.so'), qtdestpath)
     shutil.copytree('debian', op.join(destpath, 'debian'))
     build_debian_changelog(op.join('help', 'changelog'), op.join(destpath, 'debian', 'changelog'),
         'pdfmasher', from_version='0.1.0')